### Signal

# Ide DebugManager::breakpoint-reached

#### Declaration

    void
    breakpoint_reached (
      IdeDebugManager* self,
      IdeDebuggerBreakpoint* breakpoint,
      gpointer user_data
    )

#### Description

The “breakpoint-reached” signal is emitted when the debugger has reached a breakpoint and execution has stopped.

If you need the stop reason, you should connect to `IdeDebugger::stopped` on the `IdeDebugger` itself.

See also: `IdeDebugManager:debugger`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint`.
| The data is owned by the caller of the function.